`timescale 1ns / 1ps
//////////////////////////////////////////////////////////////////////////////////
// Company: 
// Engineer: 
// 
// Create Date: 2021/05/08 17:55:02
// Design Name: 
// Module Name: CAPS_state
// Project Name: 
// Target Devices: 
// Tool Versions: 
// Description: 
// 
// Dependencies: 
// 
// Revision:
// Revision 0.01 - File Created
// Additional Comments:
// 
//////////////////////////////////////////////////////////////////////////////////


module CAPS_state(
    input clk,
    input rst,
    input [8:0] last_change,
    input [511:0] key_down,
    output reg Caps
    );
    reg next_state;
    
    always@(posedge key_down[9'h58])
    case(Caps)
    1'b0:
        if(last_change == 9'h58)
            next_state = 1'b1;
        else
            next_state = 1'b0;
    1'b1:
        if(last_change == 9'h58)
            next_state = 1'b0;
        else
            next_state = 1'b1;
    default:
        next_state = Caps;
    endcase
        
    always@(posedge clk or posedge rst)
    if(rst)
        Caps <= 1'b0;
    else
        Caps <= next_state;
        
endmodule
